# ipmi_power – Power management for machine

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Use this module for power management

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- pyghmi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Hostname or ip address of the BMC.
password - / required |  | Password to connect to the BMC.
port - | Default: 623 | Remote RMCP port.

state
- / required

Choices:
- on -- Request system turn on
- off -- Request system turn off without waiting for OS to shutdown
- shutdown -- Have system request OS proper shutdown
- reset -- Request system reset without waiting for OS
- boot -- If system is off, then 'on', else 'reset'

Whether to ensure that the machine in desired state.

timeout - | Default: 300 | Maximum number of seconds before interrupt request.
user - / required |  | Username to use to connect to the BMC.

## Examples

    # Ensure machine is powered on.
    - ipmi_power:
        name: test.testdomain.com
        user: admin
        password: password
        state: on

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
powerstate string | success | The current power state of the machine. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Bulat Gaifullin (@bgaifullin) <gaifullinbf@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.